OpenHPC v1.2.1 (24 January 2017)

@koomie koomie released this Jan 24, 2017 · 1 commit to obs/OpenHPC_1.2_Factory since this release

Release Notes

General
  • 1.2.1 is the first micro update release against 1.2
  • updated SLURM to address CVE-2016-10030 (#364)
  • updated SLURM packaging to include creation of slurm user (#337)
  • introduce $compute_prefix variable for use in template recipes (#239)
  • update nagios package installation for compute image (#248)
  • removal of hard-coded paths in Makefiles installed with TAU (#355)
  • document need for resolvable SMS hostname (#250)
  • updated Requires stanza for mpiP packaging (#344)
  • added 'make_repo.sh' utility for inclusion with stand-alone tarballs (#363)
  • updated patches for mpiP to enable usage on aarch64 (#358)
  • fix erroneous self-conflicts for munge packaging (#359)
  • updated modulefile compatibility packaging for Intel Parallel Studio toolchain
    • support "2017 Update 1" version string (#342)
    • support installation target that is a soft link (#347)
    • reenable detection of multiply installed versions (#361)
Component Version Changes
  * docs-ohpc                                (v1.2 -> v1.2.1)
  * slurm-devel-ohpc                         (v16.05.5 -> v16.05.8)
  * slurm-munge-ohpc                         (v16.05.5 -> v16.05.8)
  * slurm-ohpc                               (v16.05.5 -> v16.05.8)
  * slurm-pam_slurm-ohpc                     (v16.05.5 -> v16.05.8)
  * slurm-perlapi-ohpc                       (v16.05.5 -> v16.05.8)
  * slurm-plugins-ohpc                       (v16.05.5 -> v16.05.8)
  * slurm-sjobexit-ohpc                      (v16.05.5 -> v16.05.8)
  * slurm-sjstat-ohpc                        (v16.05.5 -> v16.05.8)
  * slurm-slurmdb-direct-ohpc                (v16.05.5 -> v16.05.8)
  * slurm-slurmdbd-ohpc                      (v16.05.5 -> v16.05.8)
  * slurm-sql-ohpc                           (v16.05.5 -> v16.05.8)
  * slurm-torque-ohpc                        (v16.05.5 -> v16.05.8)
  * tau-gnu-impi-ohpc                        (v2.25.2 -> v2.26)
  * tau-gnu-mpich-ohpc                       (v2.25.2 -> v2.26)
  * tau-gnu-mvapich2-ohpc                    (v2.25.2 -> v2.26)
  * tau-gnu-openmpi-ohpc                     (v2.25.2 -> v2.26)
  * tau-intel-impi-ohpc                      (v2.25.2 -> v2.26)
  * tau-intel-mpich-ohpc                     (v2.25.2 -> v2.26)
  * tau-intel-mvapich2-ohpc                  (v2.25.2 -> v2.26)
  * tau-intel-openmpi-ohpc                   (v2.25.2 -> v2.26)